# Addresses

#### Get your Wallet Address

An essential feature of every wallet is the wallet address, which can be either a ***classical bitcoin address*** or the more modern ***paymail alias*** address. To ensure privacy for the user, each API call will return a different classical address. &#x20;

```javascript
var parameters = {
    serviceId: 'optional',
    walletID: 'optional',
}

const response = await relysia.wallet.v1.address(parameters);
```

## Get your wallet address and paymail.

<mark style="color:blue;">`GET`</mark> `https://api.relysia.com/v1/address`

Receive a single address and the paymail alias to receive Coins or Token.

#### Headers

| Name     | Type   | Description |
| -------- | ------ | ----------- |
| walletID | string |             |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
  "statusCode": 200,
  "data": {
    "status": "success",
    "msg": "Operation Completed Successfully",
    "address": "1NcijXHErt2LnTUPRqzBQXFYZS8X9NKRq5",
    "paymail": "1325@relysia.com"
  }
}
```

{% endtab %}
{% endtabs %}

{% hint style="success" %}
Addresses are public, you can share them with anyone.&#x20;
{% endhint %}

#### All Wallet Addresses

In case your application requires to fetch all available addresses, use the code below. This might be useful if you want to manage your own address usage flow.&#x20;

```javascript
var parameters = {
    serviceId: 'optional',
    walletID: 'optional',
}

const response = await relysia.wallet.v1.allAddresses(parameters);
```

## Get all wallet addresses.

<mark style="color:blue;">`GET`</mark> `https://api.relysia.comv1/allAddresses`

Get a list of all wallet addresses that are currently available in your wallet.

#### Headers

| Name     | Type   | Description |
| -------- | ------ | ----------- |
| walletID | string |             |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
  "statusCode": 200,
  "data": {
    "status": "success",
    "msg": "Operation Completed Successfully",
    "addressess": [
      "1NZaXzJHBLTqeBXn45AvkoPCkbwatizDCd",
      "13ypszR4JSgmznrfiTDodiRVSRkaL94usx",
      "1E4We5K6zFh7msq6r2ZrNuyK56X2gqTzGy",
      "1LS54Yo1xLGkyCgcGZo6RLj5QgkqEchvUg",
      "16Jg2sYouH8jGFRyUyEnoNZ1gyj9mKECMu",
      "12fKJzMbsMW6HxAsCMsrL4jrxC2p8umDGn",
      "12T7men1z1FU9sruoFgFx2D7JCJRgZtvrA",
      "12519wQZvqjuqxggUco872zKs66L9x438C",
      "1JVxt4RMjLqdHh9RCAizFqFWc4yhjEWeeo",
      "1892sYWjiHzkn6sD12q9Xn7s4ZHjZCmfEh",
      "15PYXZhGAnoKqTxVqDVkp5zMnwYd3g2oii",
      "147Pha46z8xhMHjq6Wcy9ZWgUV9okUgqeu",
      "14WcvWcfUqUqLhm4BUkQ1JXPdaCDNSpnnp",
      "1H2XN9TPkbcpWA1ZwyJCjGPu15m5QLKfh6",
      "1Ey63N7rE2K1F7uhjgo9cRV8t79sVsh8uu",
      "1ZjCnXk7H2QyAR8oWetDo11FXek4ML6oG",
      "1AF5yUb1kCmGhCwLUsaTweGJKmkTB6fF2x",
      "1Do2akh13LjagoZWuyiJsgt32aTGW5uSva",
      "1NcijXHErt2LnTUPRqzBQXFYZS8X9NKwq5",
      "13JGSa4y2mLB7krgQkLyb43ca1Dwru9mWK"
    ]
  }
}
```

{% endtab %}
{% endtabs %}

#### Paymail vs Classical Addresses&#x20;

Paymail aliases enable instant p2p transactions with close to no waiting time. They are operating at reduced resource cost and lead to a generally better user experience due to their event based triggering. Classical transactions on the other hand will only be received at your wallet when the UTXO was found on the blockchain, and our infrastructure carefully compared all addresses against all transactions on the network.&#x20;

But as always, there are more details to it. Classical transactions give users security that the funds are received exactly at that address, and no server incident based rerouting happened. Moreover, it is easier to proof that you send someone funds he the user gave you exactly that address to receive your funds (in case that ever stands up to dispute).

{% hint style="info" %}
We recommend paymail transactions for smaller transactions (or infrastructure internal transactions) and classical transactions higher transaction amounts to potentially untrusted 3rd parties.&#x20;
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.relysia.com/wallets/addresses.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
